## EmpathyVideoWidget

EmpathyVideoWidget

## Synopsis

    #define             EMPATHY_VIDEO_WIDGET_DEFAULT_WIDTH
    #define             EMPATHY_VIDEO_WIDGET_DEFAULT_HEIGHT
                        EmpathyVideoWidget;
    GtkWidget *         empathy_video_widget_new            (GstBus *bus);
    GtkWidget *         empathy_video_widget_new_with_size  (GstBus *bus,
                                                             gint width,
                                                             gint height);
    GstElement *        empathy_video_widget_get_element    (EmpathyVideoWidget *widget);
    GstPad *            empathy_video_widget_get_sink       (EmpathyVideoWidget *widget);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkDrawingArea
                               +----EmpathyVideoWidget

## Implemented Interfaces

EmpathyVideoWidget implements AtkImplementorIface and GtkBuildable.

## Properties

      "async"                    gboolean              : Read / Write / Construct
      "gst-bus"                  GstBus*               : Read / Write / Construct Only
      "gst-element"              GstElement*           : Read
      "min-height"               gint                  : Read / Write / Construct Only
      "min-width"                gint                  : Read / Write / Construct Only
      "sync"                     gboolean              : Read / Write / Construct

## Description

## Details

### EMPATHY_VIDEO_WIDGET_DEFAULT_WIDTH

    #define EMPATHY_VIDEO_WIDGET_DEFAULT_WIDTH 320

### EMPATHY_VIDEO_WIDGET_DEFAULT_HEIGHT

    #define EMPATHY_VIDEO_WIDGET_DEFAULT_HEIGHT 240

### EmpathyVideoWidget

    typedef struct _EmpathyVideoWidget EmpathyVideoWidget;

### empathy_video_widget_new ()

    GtkWidget *         empathy_video_widget_new            (GstBus *bus);

`bus` : |
Returns : |

### empathy_video_widget_new_with_size ()

    GtkWidget *         empathy_video_widget_new_with_size  (GstBus *bus,
                                                             gint width,
                                                             gint height);

`bus` : |
`width` : |
`height` : |
Returns : |

### empathy_video_widget_get_element ()

    GstElement *        empathy_video_widget_get_element    (EmpathyVideoWidget *widget);

`widget` : |
Returns : |

### empathy_video_widget_get_sink ()

    GstPad *            empathy_video_widget_get_sink       (EmpathyVideoWidget *widget);

`widget` : |
Returns : |

## Property Details

### The `"async"` property

      "async"                    gboolean              : Read / Write / Construct

Whether the underlying sink should be async or not.

Default value: TRUE

### The `"gst-bus"` property

      "gst-bus"                  GstBus*               : Read / Write / Construct Only

The toplevel bus from the pipeline in which this bin will be added.

### The `"gst-element"` property

      "gst-element"              GstElement*           : Read

The underlaying gstreamer element.

### The `"min-height"` property

      "min-height"               gint                  : Read / Write / Construct Only

Minimal height of the widget.

Allowed values: >= 0

Default value: 240

### The `"min-width"` property

      "min-width"                gint                  : Read / Write / Construct Only

Minimal width of the widget.

Allowed values: >= 0

Default value: 320

### The `"sync"` property

      "sync"                     gboolean              : Read / Write / Construct

Whether the underlying sink should be sync or not.

Default value: TRUE